=== debian/changelog ===
kdebase (4:3.0.1-0) unstable; urgency=low

  * New upstream.
  * Redo debian dir.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 16 Apr 2002 22:00:00 -0500

kdebase (4:2.2.2-14) unstable; urgency=high

  * New maintainer.

 -- Christopher L Cheney <ccheney@debian.org>  Sun,  3 Mar 2002 01:30:00 -0600

kdebase (4:2.2.2-13) unstable; urgency=low

  * Adopting orphaned package. Thanks Ivan for all your great work on KDE over
    the years; you'll be sorely missed. (closes: #127706)
  * Relink with libpng2. (closes: #128275)
  * debian/rules, debian/konsole.dirs:
    - Make symlinks in the X fonts directory to Konsole fonts in
      /usr/share/fonts in the install target. (closes: #127871)
  * debian/kdmrc:
    - Disallow remote users from shutting down the machine. (Yeah, yeah, I
      know - dodgy grammar). (closes: #127616)
  * debian/control:
    - Depend on kdebase | x-s-m | x-w-m, instead of just the latter two, so
      that KDE gets installed in preference to, say, GNOME. (closes: #128208)
    - Shuffle Build-Deps back to libpng2.
  * kpersonalizer/keyecandypage.cpp:
    - Stop anti-aliasing from being selected by default when the level of cool
      stuff selected is high enough.

 -- Daniel Stone <daniel@sfarc.net>  Fri,  4 Jan 2002 09:14:11 -0500

kdebase (4:2.2.2-12) unstable; urgency=low

  * Yet another overwrite. (Closes: #126699)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 28 Dec 2001 00:15:00 -0700

kdebase (4:2.2.2-11) unstable; urgency=low

  * Crap.  fix -audiolibs again.
  * Fix spelling error (Closes: #124779)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 17 Dec 2001 22:00:00 -0700

kdebase (4:2.2.2-10) unstable; urgency=low

  * Move the audio kcm modules over to kdebase-libs since they a) don't depend
    on audio libs and b) are required for sound to automatically start.  
    (Closes: #124144)
  * More upstream konsole fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Dec 2001 00:30:00 -0700

kdebase (4:2.2.2-9) unstable; urgency=low

  * Fix klipperrc (Closes: #123904)
  * Add lynx/opera/etc to klipperrc
  * Add libfam-dev to Build-Depends as well as other packages which we
    depend on but have relied on other depended upon packages to provide.
  * libkonq_sound.* needs to be in kdebase-audiolibs.  We don't need
    to require libarts to be installed in order to use konq.

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 15 Dec 2001 00:02:00 -0700

kdebase (4:2.2.2-8) unstable; urgency=low

  * Sync with upstream
  * Fix Xsetup (Closes: #123115)
  * Fix file location (Closes: #122621)
  * Move keditbookmarks stuff into kdebase-libs
  * Let's attempt to import mozilla bookmarks along with netscape automatically

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 09 Dec 2001 14:07:00 -0700

kdebase (4:2.2.2-7) unstable; urgency=low

  * Sync with upstream
  * Add missing dependency for kdebase-libs to kdebase
  * Move Sound .desktop files to kdebase-audiolibs
  * Fix file location...

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 05 Dec 2001 16:59:00 -0700

kdebase (4:2.2.2-6) unstable; urgency=low

  * Move libkcm_launch.so to where it belongs (Closes: #122136)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 02 Dec 2001 15:49:00 -0700

kdebase (4:2.2.2-5) unstable; urgency=low

  * Crap.  Fix build-depends since we now need the latest kdelibs package
    I uploaded first.  (Closes: #122066)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 01 Dec 2001 22:29:00 -0700

kdebase (4:2.2.2-4) unstable; urgency=low

  * Sync with upstream
  * Build-Depends cleanup
  * Depends/Suggests/etc... cleanup for freeze
  * Build cleanup
  * Build with xinerama support for i386
  * Another update for Nedit.ad to work with newer Nedit
  * Cleanup kdmrc for release..default to security
  * Update documentation for freeze

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 30 Nov 2001 02:30:00 -0700

kdebase (4:2.2.2-3) unstable; urgency=low

  * Update Brazilian Portuguese debconf entries (Closes: #120841)
  * Remove kdmrc debconf note
  * Add in replaces to fix those people using testing who don't know
    how to use --force-overwrite or don't know how to let dpkg fix 
    things on the second go around.  What a waste of disk space.
    You know...people who don't know how to use dpkg or know how
    releases are done shouldn't be allowed to manipulate severities
    on bug reports.  (Closes: #121163, #121165)
  * Fix konsole (Closes: #120840, #120984, #121159)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Nov 2001 14:47:00 -0700

kdebase (4:2.2.2-2) unstable; urgency=low

  * Update deps to allow for temp -crypto packages

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 22 Nov 2001 22:54:00 -0700

kdebase (4:2.2.2-1) unstable; urgency=low

  * new upstream version
  * Add in suggests for libpam-krb/heimdel to kdm so we can get rid of the
    kdm-krb package
  * Update Nedit.ad (Closes: #117881)
  * Apply kdm cleanup patch by Branden (Closes: #118217)
  * Fix mime checks (Closes: #117747)
  * Fix kate syntax highlights (Closes: #113773)
  * Add kate undocumented manpage
  * Run lilo query for kdm with -w
  * Fix konsole crashes (Closes: #119480)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 21 Nov 2001 16:18:00 -0700

kdebase (4:2.2.1.0-7) unstable; urgency=low

  * Update build-deps for lesstif-dev since certain recent versions do
    not contain files we need to build
  * Sync with upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Oct 2001 11:37:00 -0700

kdebase (4:2.2.1.0-6) unstable; urgency=low

  * Sync with upstream
  * Should fix Home/End keys (Closes: #117149, #100878, #107071, #114312)
  * Fixes default.Schema (Closes: #107450)
  * Transparant forgetfullness should also be fixed (Closes: #110773)
  * Fix rearrange issues (Closes: #112113)
  * Pause option fixed (Closes: #95928)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 26 Oct 2001 11:20:00 -0700

kdebase (4:2.2.1.0-5) unstable; urgency=low

  * Sync with upstream

