=== debian/control ===
Source: kdebase
Section: x11
Priority: optional
Maintainer: Christopher L Cheney <ccheney@debian.org>
Build-Depends: debhelper (>> 4.0.0), automake1.5, gawk, gettext, kdelibs4-dev, libarts1-dev, libasound2-dev, libbz2-dev, libcdparanoia0-dev, libcupsys2-dev, libdb3-dev, libfam-dev, libldap2-dev, libncurses5-dev, libogg-dev, libpam0g-dev, libqt3-mt-dev, libsasl-dev, libsensors-dev, libsmbclient-dev, libssl-dev, libtiff3g-dev, libvorbis-dev, lesstif-dev, texinfo, xlibs-dev, xutils, zlib1g-dev
Standards-Version: 3.5.6.0

Package: kdebase
Section: utils
Architecture: all
Depends: kaddressbook (= ${Source-Version}), kappfinder (= ${Source-Version}), kate (= ${Source-Version}), kcontrol (= ${Source-Version}), kdcop (= ${Source-Version}), kdebase4-bin (= ${Source-Version}), kdebase4-data (= ${Source-Version}), kdebugdialog (= ${Source-Version}), kdeprint (= ${Source-Version}), kdesktop (= ${Source-Version}), kfind (= ${Source-Version}), khelpcenter (= ${Source-Version}), khotkeys (= ${Source-Version}), kicker (= ${Source-Version}), kioslave (= ${Source-Version}), klipper (= ${Source-Version}), kmenuedit (= ${Source-Version}), konqueror-nsplugins (= ${Source-Version}), konqueror (= ${Source-Version}), konsole (= ${Source-Version}), kpager (= ${Source-Version}), kpersonalizer (= ${Source-Version}), kscreensaver (= ${Source-Version}), ksmserver (= ${Source-Version}), ksplash (= ${Source-Version}), ksysguard (= ${Source-Version}), ktip (= ${Source-Version}), kwin (= ${Source-Version}), kxkb (= ${Source-Version}), libkonq4 (= ${Source-Version})
Recommends: kdm (= ${Source-Version})
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: kdebase4-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Base (binaries)
 KDE Base (binaries)

Package: kdebase4-data
Section: utils
Architecture: all
Depends: ${shlibs:Depends}
Description: KDE Base (shared data)
 KDE Base (shared data).

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Address Book
 KDE Address Book

Package: kappfinder
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Application Finder
 KDE Application Finder

Package: kate
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: aspell | ispell
Description: KDE Advanced Text Editor
 KDE Advanced Text Editor

Package: kate-dev
Section: devel
Architecture: any
Depends: kate (= ${Source-Version})
Description: KDE Advanced Text Editor (development files)
 KDE Advanced Text Editor (development files)

Package: kcontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Control Center
 KDE Control Center

Package: kdcop
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE DCOP Browser
 KDE DCOP Browser

Package: kdebugdialog
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Debug Settings
 KDE Debug Settings

Package: kdeprint
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Print
 KDE Print and Fax utility.

Package: kdesktop
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Desktop
 KDE Desktop

Package: kdesktop-dev
Section: devel
Architecture: any
Depends: kdesktop (= ${Source-Version})
Description: KDE Desktop (development files)
 KDE Desktop (development files)

Package: kdm
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: menu
Description: KDE Display Manager
 KDE Display Manager
 .
 kdm manages a collection of X servers, which may be on the local host or
 remote machines.  It provides services similar to those provided by init,
 getty, and login on character-based terminals: prompting for login name and
 password, authenticating the user, and running a session.  kdm supports XDMCP
 (X Display Manager Control Protocol) and can also be used to run a chooser
 process which presents the user with a menu of possible hosts that offer
 XDMCP display management.

Package: kfind
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE File Find Utility
 KDE File Find Utility

Package: khelpcenter
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Help Center
 KDE Help Center

Package: khotkeys
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE HotKeys
 Configure shortcut keys for applications

Package: kicker
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: menu
Description: KDE Desktop Panel
 KDE Desktop Panel

Package: kioslave
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE I/O Slaves
 KDE I/O Slaves

Package: klipper
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Clipboard
 KDE Clipboard

Package: kmenuedit
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Menu Editor
 KDE Menu Editor

Package: konqueror-nsplugins
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Netscape plugin support for Konqueror
 Netscape plugin support for Konqueror

Package: konqueror
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE's advanced File Manager, Web Browser and Document Viewer
 KDE's advanced File Manager, Web Browser and Document Viewer

Package: konqueror-dev
Section: devel
Architecture: any
Depends: konqueror (= ${Source-Version})
Description: KDE's advanced File Manager (development files)
 KDE's advanced File Manager (development files)

Package: konsole
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Provides: x-terminal-emulator
Description: KDE X terminal emulator
 Konsole is an X terminal emulation which provides a command-line interface
 (CLI) while using the graphical K Desktop Environment. Konsole helps to
 better organize user's desktop by containing multiple sessions in a single
 window (a less cluttered desktop).
 .
 It's advanced features include a simple configuration and the ability to use
 multiple terminal shells in a single window
 .
 Using Konsole, a user can open:
 .
  Linux console sessions
  Midnight Commander file manager sessions
  Shell sessions
  Root consoles sessions

Package: kpager
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Desktop Pager
 KDE Desktop Pager

Package: kpersonalizer
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Personalizer
 KDE Personalizer is a wizard to configure the KDE gui

Package: kscreensaver
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Screensavers
 Basic KDE Screensavers

Package: ksmserver
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Session Manager
 KDE Session Manager

Package: ksplash
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Splash Screen
 KDE Splash Screen

Package: ksysguard
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE System Guard
 KDE System Guard

Package: ksysguard-dev
Section: devel
Architecture: any
Depends: ksysguard (= ${Source-Version})
Description: KDE System Guard (development files)
 KDE System Guard (development files)

Package: ktip
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Kandalf's Useful Tips
 Kandalf's Useful Tips

Package: kwin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: kdebase4-bin (= ${Source-Version}), kdebase4-data (= ${Source-Version}), kdesktop (= ${Source-Version}), kicker (= ${Source-Version}), kpager (= ${Source-Version}), kpersonalizer (= ${Source-Version}), ksmserver (= ${Source-Version}), ksplash (= ${Source-Version})
Description: KDE Window Manager
 KDE Window Manager

Package: kxkb
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE X Keyboard
 KDE X Keyboard

Package: libkonq4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Core libraries for KDE's file manager
 This library is used by several KDE 3 apps include konqueror and kdesktop.

Package: libkonq4-dev
Section: devel
Architecture: any
Depends: libkonq4 (= ${Source-Version})
Description: Core libraries for KDE's file manager (development files)
 This library is used by several KDE 3 apps include konqueror and kdesktop.
 .
 This package contains development files.
